# Google Cloud Network Performance Monitoring API . statscollection

## Instance Methods

RPC to update the new TCP stats.

RPC to update the new TCP stats.

### Method Details

`updateaggregatedstats(body)`

    RPC to update the new TCP stats.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "stats": [
          {
              "stringValues": [
                {
                  "value": "A String",
                  "label": "A String",
                },
              ],
              "intValues": [
                {
                  "value": "A String",
                  "label": "A String",
                },
              ],
              "doubleValues": [
                {
                  "value": 3.14,
                  "label": "A String",
                },
              ],
              "time": 3.14,
            },
        ],
      }

    Returns:
      An object of the form:

        {
        "testValue": "A String",
      }

`updatestats(body)`

    RPC to update the new TCP stats.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "stringValues": [
          {
            "value": "A String",
            "label": "A String",
          },
        ],
        "intValues": [
          {
            "value": "A String",
            "label": "A String",
          },
        ],
        "doubleValues": [
          {
            "value": 3.14,
            "label": "A String",
          },
        ],
        "time": 3.14,
      }

    Returns:
      An object of the form:

        {
        "testValue": "A String",
      }